>From 9ddb64e49e01dde7e106720d64393be29a8dd677 Mon Sep 17 00:00:00 2001
From: Bertram Felgenhauer <int-e@gmx.de>
Date: Thu, 11 Dec 2008 17:04:14 +0100
Subject: [PATCH 1/4] CMakeList tweaks

- cppunit is not actually used at the moment
- the cpptest include dir was missing in the unit test build
---
 nel/CMakeLists.txt                     |    2 +-
 nel/tools/nel_unit_test/CMakeLists.txt |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/nel/CMakeLists.txt b/nel/CMakeLists.txt
index f4fff57..4d0fd6b 100644
--- a/nel/CMakeLists.txt
+++ b/nel/CMakeLists.txt
@@ -75,7 +75,7 @@ IF(WITH_GTK)
 ENDIF(WITH_GTK)
 
 IF(WITH_TESTS)
-  FIND_PACKAGE(CppUnit)
+#  FIND_PACKAGE(CppUnit)
   FIND_PACKAGE(CppTest)
   ENABLE_TESTING()
   ADD_TEST(nel_unit_test ${EXECUTABLE_OUTPUT_PATH}/nel_unit_test --html)
diff --git a/nel/tools/nel_unit_test/CMakeLists.txt b/nel/tools/nel_unit_test/CMakeLists.txt
index 8fc9dfc..8d3f760 100644
--- a/nel/tools/nel_unit_test/CMakeLists.txt
+++ b/nel/tools/nel_unit_test/CMakeLists.txt
@@ -9,7 +9,7 @@ SET(NLLIGO_LIB ${LIBNAME})
 
 ADD_EXECUTABLE(nel_unit_test ${SRC})
 
-INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR} ${CPPTEST_INCLUDE_DIR})
 TARGET_LINK_LIBRARIES(nel_unit_test ${LIBXML2_LIBRARIES} ${CPPTEST_LIBRARY} ${PLATFORM_LINKFLAGS} ${NLMISC_LIB} ${NLNET_LIB} ${NLLIGO_LIB})
 IF(WIN32)
   SET_TARGET_PROPERTIES(nel_unit_test PROPERTIES LINK_FLAGS "/NODEFAULTLIB:libcmt")
-- 
1.6.1.3

